INSERT INTO SETTINGS (NAME, VALUE)
VALUES ('KEY', ''),
       ('CRYPTO_KEY_SIZE', '128'),
       ('CRYPTO_KEY_TYPE', 'AES'),
       ('COMPANY_LOGO_URL', null);

INSERT INTO PROJECTS (NAME, DESCRIPTION)
VALUES ('UNKNOWN', '');

DO
$$

    DECLARE
        INTEGRATION_GROUP_ID         INTEGRATION_GROUPS.ID%TYPE;
        DECLARE INTEGRATION_TYPE_ID  INTEGRATION_TYPES.ID%TYPE;
        DECLARE INTEGRATION_ID       INTEGRATIONS.ID%TYPE;
        DECLARE INTEGRATION_PARAM_ID INTEGRATION_PARAMS.ID%TYPE;

    BEGIN

        --      Notification Service
        INSERT INTO INTEGRATION_GROUPS(NAME, DISPLAY_NAME, ICON_URL, MULTIPLE_ALLOWED)
        VALUES ('NOTIFICATION_SERVICE', 'Notification Service', '', FALSE)
        RETURNING ID INTO INTEGRATION_GROUP_ID;

        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('SLACK', 'Slack', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('SLACK', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('SLACK_WEB_HOOK_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        --      Microsoft Teams
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('MICROSOFT_TEAMS', 'Microsoft Teams', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('MICROSOFT_TEAMS', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('MICROSOFT_TEAMS_WEB_HOOK', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- LDAP
        INSERT INTO INTEGRATION_GROUPS(NAME, DISPLAY_NAME, ICON_URL, MULTIPLE_ALLOWED)
        VALUES ('ACCESS_MANAGEMENT', 'Access Management', '', FALSE)
        RETURNING ID INTO INTEGRATION_GROUP_ID;
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('LDAP', 'LDAP', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('LDAP', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('LDAP_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('LDAP_MANAGER_USER', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('LDAP_MANAGER_PASSWORD', TRUE, INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('LDAP_DN', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('LDAP_SEARCH_FILTER', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Selenium
        INSERT INTO INTEGRATION_GROUPS(NAME, DISPLAY_NAME, ICON_URL, MULTIPLE_ALLOWED)
        VALUES ('TEST_AUTOMATION_TOOL', 'Test Environment Provider', '', FALSE)
        RETURNING ID INTO INTEGRATION_GROUP_ID;
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('SELENIUM', 'Selenium', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('SELENIUM', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('SELENIUM_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('SELENIUM_USER', FALSE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('SELENIUM_PASSWORD', FALSE, INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Zebrunner
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('ZEBRUNNER', 'ZEBRUNNER', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('ZEBRUNNER', 'ZEBRUNNER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('ZEBRUNNER_URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('ZEBRUNNER_USER', FALSE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('ZEBRUNNER_PASSWORD', FALSE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Browserstack
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('BROWSERSTACK', 'BROWSERSTACK', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('BROWSERSTACK', 'BROWSERSTACK', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('BROWSERSTACK_URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('BROWSERSTACK_USER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('BROWSERSTACK_ACCESS_KEY', TRUE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Mcloud
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('MCLOUD', 'MCLOUD', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('MCLOUD', 'MCLOUD', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('MCLOUD_URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('MCLOUD_USER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('MCLOUD_PASSWORD', TRUE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Saucelabs
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('SAUCELABS', 'SAUCELABS', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('SAUCELABS', 'SAUCELABS', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('SAUCELABS_URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('SAUCELABS_USER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('SAUCELABS_PASSWORD', TRUE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Aerokube
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('AEROKUBE', 'AEROKUBE', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('AEROKUBE', 'AEROKUBE', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('AEROKUBE_URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('AEROKUBE_USER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('AEROKUBE_PASSWORD', TRUE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Lambda test
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('LAMBDATEST', 'Lambda test', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, BACK_REFERENCE_ID, IS_DEFAULT, ENABLED, INTEGRATION_TYPE_ID)
        VALUES ('LAMBDATEST', 'LAMBDATEST', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('URL', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('USER', TRUE, FALSE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, NEED_ENCRYPTION, INTEGRATION_TYPE_ID)
        VALUES ('PASSWORD', TRUE, TRUE, INTEGRATION_TYPE_ID)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Jenkins
        INSERT INTO INTEGRATION_GROUPS(NAME, DISPLAY_NAME, ICON_URL, MULTIPLE_ALLOWED)
        VALUES ('AUTOMATION_SERVER', 'CI / Automation Server', '', TRUE)
        RETURNING ID INTO INTEGRATION_GROUP_ID;
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('JENKINS', 'Jenkins', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('JENKINS', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JENKINS_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JENKINS_USER', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JENKINS_API_TOKEN_OR_PASSWORD', TRUE, INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JENKINS_FOLDER', FALSE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, METADATA, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JENKINS_JOB_URL_VISIBILITY', '{"paramType": "BOOLEAN"}', FALSE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        -- Jira, testrail, qtest
        INSERT INTO INTEGRATION_GROUPS(NAME, DISPLAY_NAME, ICON_URL, MULTIPLE_ALLOWED)
        VALUES ('TEST_CASE_MANAGEMENT', 'Test Case Management', '', FALSE)
        RETURNING ID INTO INTEGRATION_GROUP_ID;
        --      Jira
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('JIRA', 'Jira', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('JIRA', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JIRA_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JIRA_USER', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JIRA_PASSWORD', TRUE, INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('JIRA_CLOSED_STATUS', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        --      TestRail
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('TESTRAIL', 'TestRail', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('TESTRAIL', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('TESTRAIL_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

        --      qTest
        INSERT INTO INTEGRATION_TYPES(NAME, DISPLAY_NAME, ICON_URL, INTEGRATION_GROUP_ID)
        VALUES ('QTEST', 'qTest', '', INTEGRATION_GROUP_ID)
        RETURNING ID INTO INTEGRATION_TYPE_ID;
        INSERT INTO INTEGRATIONS(NAME, INTEGRATION_TYPE_ID, is_default)
        VALUES ('QTEST', INTEGRATION_TYPE_ID, TRUE)
        RETURNING ID INTO INTEGRATION_ID;

        INSERT INTO INTEGRATION_PARAMS(NAME, MANDATORY, INTEGRATION_TYPE_ID, NEED_ENCRYPTION)
        VALUES ('QTEST_URL', TRUE, INTEGRATION_TYPE_ID, FALSE)
        RETURNING ID INTO INTEGRATION_PARAM_ID;
        INSERT INTO INTEGRATION_SETTINGS(INTEGRATION_ID, INTEGRATION_PARAM_ID)
        VALUES (INTEGRATION_ID, INTEGRATION_PARAM_ID);

    END
$$;

INSERT INTO USERS (USERNAME)
VALUES ('anonymous');
